Ubuntu

system freeze while accessing DVD drive

Reported by Pichalsi on 2006-12-10
122
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
High
hal (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned

Bug Description

Hi i have Kubuntu Feisty with newest kernel, however the same thing happened with older kernel 2.6.18 but i think i doesnt in 2.6.17 (never happened to me). I use the 2.6.19-7 from time it came out but this happened to me today for the first time but i remember it happened more often in older kernels. What happens is : my computer freezes, CPU goes to 99% and it only responds for like 1 second from 15 seconds, top said all CPU was used by hald-addon-stor, so i killall-ed it and now computer goes on. Dmesg was repeating

[ 681.880000] hdb: status timeout: status=0xd0 { Busy }
[ 681.880000] ide: failed opcode was: unknown
[ 681.880000] hdb: drive not ready for command

and also once

[ 532.972000] BUG: soft lockup detected on CPU#0!

The hdb is my DVD writer in laptop Asus A6Vm (dont think it can be SATA (but im not sure) cuz my HDD is only 4200 rpms).

Laurent (laurent-goujon) wrote :

Same problem on my asus laptop A6T. My DVD Writer is /dev/hda and I got the same messages and also hald-addon-storage eating all CPU.

Checked all my logs on /var/log but didn't find anything before the first "hda status timeout" message which might have caused this.

I suspect sata_nv but didn't try yet to disable adma

Pichalsi (pichalsi) wrote :

So the bug is probably in HAL? Its pretty annoying cause it takes me around minute to kill the process and I after killing it my I cant mount my DVD because everytime I try mount the same message starts appearing and everything freezes like before... However Im not sure if it hasn't been fixed lately cause I didnt experience it for like a week now.

Pichalsi (pichalsi) wrote :

Well it just happen twice today so the bug is still there.

Brian Murray (brian-murray) wrote :

Thanks for your bug report. Could you please add the ouput of 'lspci -vv' and 'dmesg' to your bug report?

Pichalsi (pichalsi) wrote :
Pichalsi (pichalsi) wrote :

Well, I just installed Ubuntu Feisty Herd 3 clean install and am still waiting for it to happen, so this dmesg is without the errors.

Brian Murray (brian-murray) wrote :

It seems there was crash, "Core dump to |/usr/share/apport/apport.6761 pipe failed", can you check and see if you have a crash report in /var/crash?

Pichalsi (pichalsi) wrote :

I looked into /var/crash but nothing is there and also that error doesnt show up now. That dmesg I posted before was from first run after install... But the lockups are here now again, but I dont have to killall anything, computer freezes for a few seconds, prints few messages to tty1 where i logged in and then works ok. However it happens more often than before and as far as i can tell only when some program is writing to hda (simple rm in gnome terminal, closing gedit or gaim). Here is another dmesg, the ata1: and sda: messages are printed to tty when the laptop hangs.

Changed in linux-source-2.6.20:
assignee: brian-murray → nobody
status: Needs Info → Confirmed
Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
Download full text (3.5 KiB)

I've been having this pretty same problem since I got this laptop. I don't know if it's a software (driver) or hardware (drive, firmware) problem, but it's completely annoying. In Ubuntu Edgy with kernels 2.6.17 it just freezed and I had nothing to do but reboot the computer and I could not see kernel messages. The freeze was step by step: first music (amarok. alsa) stopped, then only I could move the mouse but it didn't answer to mouseover or mouseclick events, and finally (when I pressed a keyin the keyboard or after some seconds) it freezed completely and I had to hit the reboot button.

Now I've switched to Ubuntu Feisty and it doesn't freeze anymore, but it gets really slow and as you said the system only answers 1 out of every 15 seconds. But now that's better because I can still see dmesg, and I see this message repeated all the time:

[45395.837435] hdc: status timeout: status=0xd0 { Busy }
[45395.837441] ide: failed opcode was: unknown
[45395.837726] hdc: drive not ready for command

Same as you. Sometimes music plays but nothing else works (not even mouse) for ~14 seconds. It usually works like this: it freezes for a while. Then I move the mouse to konsole and click, and I wait 15-30 seconds for it to show. Then I start typing dmesg and I hit enter and it freezes for a while again. After 15 senconds dmesg letters are shown in konsole, and freezes one time more before showing dmesg output, and once more when showing it. After that, I execute halt and I got for coffee because as you can imagine, it takes a while also to shutdown. By the way, there was never any cdrom in the drive!

It seems to me that there's somekind of kernel process getting very busy with extreme priority abusing of it. Probably kernel scheduling has changed a bit in kernel 2.6.20 and now it doesn't let this process own the CPU for more than X seconds, but because of the high priority of the process, it gets back the CPU very fast everytime it can, for example when I hit a key in the keyboard and it produces an interrupt. But this is all speculation.

This is my kernel:
root@palobajo:~# uname -a
Linux palobajo 2.6.20-12-generic #2 SMP Wed Mar 21 20:55:46 UTC 2007 i686 GNU/Linux

Now what's funny is that when writting this message the error appeared again, but this time it was different. First there was a CDROM in the drive, but it was not being used. But the funny thing is that after the related synthoms appeared for about 5mins, it ejected the cdrom and got solved. After watching dmesg, I saw that it now only ejected the cdrom but also disabled DMA in the drive, and this is what solved the situation.

See:
root@palobajo:~# dmesg | tail
[ 8613.842944] ide: failed opcode was: unknown
[ 8613.842952] hdc: drive not ready for command
[ 8618.896114] hdc: status timeout: status=0xd0 { Busy }
[ 8618.896121] ide: failed opcode was: unknown
[ 8618.896129] hdc: drive not ready for command
[ 8623.953288] hdc: status timeout: status=0xd0 { Busy }
[ 8623.953295] ide: failed opcode was: unknown
[ 8623.953306] hdc: DMA disabled
[ 8623.953344] hdc: drive not ready for command
[ 8624.004671] hdc: ATAPI reset complete

As I don't use the drive that much, I think I'm gonna disable D...

Read more...

One last question: maybe it's not the disabling of DMA what solved the problem, but the "ATAPI reset". Does anyone know how to force an ATAPI reset in case it's needed and it doesn't do it automatically? maybe with hdparm?

It happened again. With DMA off, so I will enable DMA again as it has nothing to do with it. But I've found a way to fix the problem when it happens: switch to a terminal and execute hdparm -w /dev/hdc (or whatever hdX is your drive). It works! Now the next step is to create a daemon that monitors the dmesg output and if it detects the problem, automatically execute the command so it does it automatically. The key line of dmesg output was this one:

[28890.220521] hdc: ATAPI reset complete

The problem is that the problem apears again and again.. there should be a software/firmware fix for this :(. I

t.feige (tfeige) wrote :

Same Problem here. It's an Asus A6T Laptop, too.
Exactly the same Errors, will try to do hdparm -w.
I tried to disable DMA, but I got the same error again.

I disabled the ide_cd & cdrom kernel drivers yesterday and I haven't had freeze problems since then. I know that it's not a solution, but just a temporal workaround for those of use who want to use our laptops. This is what I did:

WARNING! The following steps will disable the cdrom in your system!

1. Add this lines to /etc/modprobe.d/aliases :
alias cdrom off
alias ide_cd off

2. Add this to /etc/rc.local : (the order is important in this case!)
rmmod ide_cd
rmmod cdrom

3. Reboot the system, and next time you boot, check that "lsmod | grep cd" don't give any line with ide_cd or cdrom.

NOTE: If it doesn't work, check that you have no CD/DVD in the drive while booting. ¿?

richhal22 (richhal22) wrote :

I was experiencing similar problems (same "drive not ready for command" error, and the dvd drive would immediately close whenever I tried to open it, like in https://bugs.launchpad.net/ubuntu/+bug/98806). These problems were not fixed by disabling the cdrom and ide_cd modules. I was also receiving the following message several times per second:

device-mapper: ioctl: unable to remove open device sda6

sda6 does not exist on my system, and never has. I also noticed (in top) that the an evms process, and udevd were popping up repeatedly (presumable polling something). I took a hint from http://kristof.willen.be/?q=node/762, and removed the evms and evms-ncurses packages, and the problem was solved.

Ben Edgington (ben-edginet) wrote :

Just wanted to add a "me too" to what Eduardo Robles Elvira said above.

Symptoms identical. Systems identical: Samsung R40, TSSTcorpCD/DVDW TS-L632D DVD drive.
OS is now Feisty. Kernel 2.6.20-15-generic.

dmesg repeats:
[11017.124076] hdc: status timeout: status=0xd0 { Busy }
[11017.124083] ide: failed opcode was: unknown
[11017.124090] hdc: drive not ready for command

Under Edgy system would lock completely about 10mins after inserting a CDROM or DVD and require a hard reboot. Under Feisty I get the same intermittant access that others report, with hald-addon-storage or mount taking all the CPU cycles (on one or both CPUs). Killing the offending process cures it for a while. If no CDROM/DVD is inserted the system performs flawlessly.

Ben

OlivierP (unineurone) wrote :

Another "me too". Feisty 32bit
Acer 9303 Laptop, AMD Turion(tm) 64 X2 Mobile Technology TL-52 CPU
- TSSTcorpCD/DVDW TS-L632D DVD drive
- 2.6.20-15-generic kernel

hald-addon-storage uses 100% CPU, with or without a disc in the drive.

dmesg output:
[16598.216000] hdc: status timeout: status=0xd0 { Busy }
[16598.216000] ide: failed opcode was: unknown
[16598.216000] hdc: drive not ready for command

Workaround (temporary): hdparm -w /dev/hdc
Alternative workaround: killall hald-adon-storage

As to what Ben Edgington said:

Now I don't have any more lockups because I just disabled the DVD drive as I said above (dramatic but works like a charm). But I have to point out that in my Smsung R40 Laptop it *did* freeze even with no media inside the drive.

Any Ubuntu kernel developers hang around here? ;-) It seems that there are a lot of users with the same problem, but no developer showed up yet. Is this bug taken care of ?

Brian Murray:
Sorry, I don' have an interesting /var/crash at the moment, maybe someone can check it after executing a workaround (pick one ;-) after a lockup.

Benedikt Bär (beniwtv) wrote :

I also can confirm this bug.

I have an HP Pavilion dv6106eu with a TSSTcorpCD/DVDW TS-L632D.

Killing hald-addon-storage: polling /dev/hda brings the system back to normal working speed.

This is really annoying.

From what I've seen on the internet, these drives do incorrectly report "Incompatible medium installed" instead of "No medium installed".

But in any cases, please find a fix. Windows can deal just fine with the drive.

l7or (l7or) wrote :

I can confirm this bug with a TSSTcorpCD/DVDW SN-S082D using Gentoo Linux (hald-0.5.7.1-r3, linux-2.6.20.4/linux-2.6.21.1 - both kernels based on the kernel.org-vanilla-sources)

Extra info & another confirmation:

I have an ASUS A6R laptop. I also can confirm the error described above. I have feisty with latest updates.

The following info may be useful to someone:
I can view a movie for hours without the bug appearing - the bug has never happened while dvd movie playing (or at dvd movie on screen menu). The bug only appears if dvd media is in the drive but I'm not viewing the movie (ie. media in drive but drive inactive) - in this case the bug appears very quickly (within 10 minutes). With no media in dvd drive bug has never occurred.

Bruno Santos (bsantos) wrote :

I'm having this after recording 2 DVDs on a TSSTcorpCD/DVDW TS-H552B. The first burns ok but when writing the next DVD the system slows to a crawl. I was able to pin point the issue to hald-addon-storage and also get those kernel errors, but it is hald-addon-storage that slows the system down.

Correction to my previous post 2007-05-02:

I have just had the bug occur when no media is in dvd drive (hdd). First time.
This is probably irrelevant-----The only change to my system is the recent addition of an nfs read-only mount.
However, the bug is the same as reported numerous times above ie. related to: hdd status timeout ;ide failed opcode; dvd drive (hdd) not ready for command.

Just for you to know, since I disabled the DVD drive as I mentioned above, I haven't had any more problems :P But I cannot use the DVD drive of course (which I don't use much thanksfully).

Alban (alban-menard) wrote :

I tried linux-image2.6.22 (from gusty) and the problem is still happening

TEMPORARY SOLUTION
You can try(at your own risk because it reset IDE device)
sudo hdparm -w /dev/hdX (replace X with the letter of your drive)
and after to SET DMA because the reset unset it
sudo hdparm -d 1 /dev/hdX (replace X with the letter of your drive)
After that i didn't get anymore errors but my drive wasn't detect by gnome( serpentine & brasero)
To perform a detection of your drive do (or invert i don't remember which one depends on the other)
sudo rmmod cdrom ide_cd
sudo modprobe cdrom ide_cd

Eddie Hung (eddieh) wrote :

I can confirm this, using the latest feisty, clean install using final cd. This is a pretty serious issue: I suggest that the priority to this is changed to high? New users to feisty could perceive this as instability and be put off instantly... (not to mention it's damn annoying for everyone else!)

Alban (alban-menard) wrote :

Update to my precedent post! Its only happening under x86_64 (amd64)
I just tried an i386 version of feisty and my writer is working

Just to inform my platform is based on nforce4 and my writer is a Plextor 740A and it was working great with dapper and edgy (64bits) The problem started with feisty 64bits in my case

Patrick Salami (pat-entitycom) wrote :

I have the same problem; resetting the drive doesn't help. The problem occurs on Feisty with the latest updates on an Intel x86_64. I used multiple drives to test it, and the problem occurs with each drive, so it seems to be drive-independent. The problem just occurred, I don't know what caused it. The only thing that changed is that I updated some packages. I don't where the activity of the adept update manager is logged, if someone know how to find that, I can post which packages I updated before noticing the problem.
The output of dmesg and lspci is attached.

Patrick Salami (pat-entitycom) wrote :

Also, when I try to mount the drive, I get the following error:

$ sudo mount -v /dev/hda

mount: block device /dev/hda is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/hda,
       missing codepage or other error
       In some cases useful info is found in syslog - try
       dmesg | tail or so

Patrick Salami (pat-entitycom) wrote :

I can confirm that this is happening on x86_64 running Feisty with the latest updates.

<b>[SOLUTION]</b> However, I noted that the default installation does not come with the libdvdcss3 package (for legal reasons), which is required to read encrypted DVDs. After installing it per instructions at http://www.debuntu.org/how-to-play-d...r-ubuntu-linux. After that, everything worked fine for all of my drives. :-D

Eddie Hung (eddieh) wrote :

A little more information from me, then:
I'm running the 32 bit build, and this problem is present - which means it's not unique to 64 bit.
I have two SATA drivers which appear as /dev/sda1 and sda2, and I have two CD drives, each on their own IDE channel as master: /dev/hda and /dev/hdc. Currently, it is /dev/hda (the older of the two drives, a Pioneer DVD-120S) which produces these errors.
This drive has no problems inside Windows XP.

Harold (harold-v) wrote :

Hi,
 I also have exactly the same problem with the same dvd drive on a fresh ubuntu install.
If I leave the cd drive open I do not have any problems. (I suppose the bug happens when automount wakes up)

Harold (harold-v) wrote :

I forgot to say that when it bugs I cannot do anything, the only solution is to shutdown pressing a long time on the shutdown button..

Ok, I really think that the problem occurs because your system is trying to
read an encrypted DVD but you don't have the required libdvdcss3 package
installed. I had the same problem and after I installed that package,
everything worked fine. Have you tried using a non-encrypted DVD?
Someone who is currently experiencing this problem should try using a
self-burned DVD to test if this is indeed the cause of the problem. Further,
try installing the libdvdcss3 package and post here if the issue is resolved
or if it still persists. If we can isolate it to that problem, a fix should
be forthcoming.

--Patrick

This doesn't happen only on encrypted DVD. It happens and in self-burned media. I haven't tried installing libdvdcss3 but not having a DVD inside the drive, seems not to cause a system freeze.

Hi

I have exactly this problem (Asus A6000, i386 feisty clean install) and it still happens after installing libdvdcss. Please not that it also happens while I'm not watching DVD and with CD roms or audio CDs in the drive. This indicates that it is not related to libdvdcss. It didn't lock up (yet?) when the drive is open, so I'm keeping it open until some kind of fix appears :).

-- Mat

can you post the tail of dmesg after the system starts to hang? Or if that's
not possible, try attaching /var/log/messages. Seeing your specific error
messages can probably help us identify the problem. I always got an error
when I first insert the media, saying that a particular block could not be
read, are you getting that too? Also, is your system locking up even if
there is no disk in the drive? It sounds like you can only work normally if
the drive is open, correct?

On 5/20/07, Jon <email address hidden> wrote:
>
> This doesn't happen only on encrypted DVD. It happens and in self-burned
> media. I haven't tried installing libdvdcss3 but not having a DVD inside
> the drive, seems not to cause a system freeze.
>
> --
> Feisty freeze, kernel (?) tries to access DVD drive
> https://bugs.launchpad.net/bugs/75295
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Patrick Salami | http://patrick.salami.name | 858.605.4580
------------------------------------------------------------------------
Entity Communications, LLC | http://entitycom.net

I'm attaching the relevant part of /var/log/messages

Some information about the drive:
mathias@angela:~$ dmesg |grep hdb
[ 3.184990] ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:DMA
[ 3.926314] hdb: TSSTcorpCD/DVDW TS-L632D, ATAPI CD/DVD-ROM drive
[ 6.064000] hdb: ATAPI 24X DVD-ROM DVD-R-RAM CD-R/RW drive, 2048kB Cache, UDMA(33)

Mathias, the problem that you're having is not exactly the same as the one I
had, I don't think, but I've had a similar problem: it looks like you're
using an SMP kernel, which, I have noticed sometimes hangs because of IRQ
timing issues. I'm not quite sure what causes this, but the consensus seems
to be that it has something to do with CPU time scaling. Sometimes these
lockups happen after you change your CPU time scaling scheme using a power
manager app (for example from Ondemand to Performance). Try disabling time
scaling and see if the problem persists. Also, if you are running any
application that affects IRQ timing, such as irqbalance, try disabling it. I
had a similar problem and it appears to have gone away after I disabled
irqbalance.

On 5/20/07, Mathias Weyland <email address hidden> wrote:
>
> I'm attaching the relevant part of /var/log/messages
>
> Some information about the drive:
> mathias@angela:~$ dmesg |grep hdb
> [ 3.184990] ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA,
> hdb:DMA
> [ 3.926314] hdb: TSSTcorpCD/DVDW TS-L632D, ATAPI CD/DVD-ROM drive
> [ 6.064000] hdb: ATAPI 24X DVD-ROM DVD-R-RAM CD-R/RW drive, 2048kB
> Cache, UDMA(33)
>
>
> ** Attachment added: "/var/log/messages as requested"
> http://librarian.launchpad.net/7722255/messages
>
> --
> Feisty freeze, kernel (?) tries to access DVD drive
> https://bugs.launchpad.net/bugs/75295
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Patrick Salami | http://patrick.salami.name | 858.605.4580
------------------------------------------------------------------------
Entity Communications, LLC | http://entitycom.net

This is what I get when having the error which is completely unrelated to libdvdcss and also occurs when having CDs or unencrypted DVDs in the drive:

May 16 20:05:26 notebook hdc: status timeout: status=0xd0 { Busy }
May 16 20:05:26 notebook ide: failed opcode was: unknown
May 16 20:05:26 notebook hdc: drive not ready for command
May 16 20:05:26 notebook login(pam_unix)[4572]: session opened for user root by (uid=0)
May 16 20:05:31 notebook hdc: status timeout: status=0xd0 { Busy }
May 16 20:05:31 notebook ide: failed opcode was: unknown
May 16 20:05:31 notebook hdc: drive not ready for command
May 16 20:05:31 notebook login[4798]: ROOT LOGIN on 'tty1'
May 16 20:05:36 notebook hdc: status timeout: status=0xd0 { Busy }
May 16 20:05:36 notebook ide: failed opcode was: unknown
May 16 20:05:36 notebook hdc: drive not ready for command

The error messages appear exactly every 5 seconds and it needs some time until you manage to log in as 'root'. After having killed hald-addon-storage, everything works fine again. The other problems with regard to libdvdcss are unrelated to this bug. Is there anyone who doesn't have a Samsung (TSSTcorp) drive and also gets the above error messages that continue at 100% cpu usage until hald-addon-storage is killed? Otherwise, I'd say the bug is somehow related to Samsung drives that don't seem to be linux compatible at the moment...

Hi Patrick

I perfectly agree with you that my problem and yours are quite different. However, I believe that several people who committed to this bugreport are experiencing the same or a very similar problem than I do. I am going to disable the ondemand governor as soon as I have time to investigate a bit more.

-- Mat

l7or, thanks for your report, the problem you are describing is
exactly the same as mine: every 5 seconds the messages

May 16 20:05:31 notebook ide: failed opcode was: unknown
May 16 20:05:31 notebook hdc: drive not ready for command

Regardless of which terminal I'm looking at. At the same time,
hald-addon-storage uses 100% CPU, and it takes some time for me to be
able to sudo to kill the process. Afterwards, everything is back to
normal. The hard drive activity light is also on (solid) while, and
sometimes after, hald-addond is at 100%.
I don' t have a Samsung drive; I have an ASUS DVD reader and a SONY
DVD recorder. I don't think they use the same chipset, but if you want
to continue to investigate in that direction, I can check to see which
chipsets they use if it will help you isolate the problem.

--Patrick

On 5/21/07, Mathias Weyland <email address hidden> wrote:
> Hi Patrick
>
> I perfectly agree with you that my problem and yours are quite
> different. However, I believe that several people who committed to this
> bugreport are experiencing the same or a very similar problem than I do.
> I am going to disable the ondemand governor as soon as I have time to
> investigate a bit more.
>
> -- Mat
>
> --
> Feisty freeze, kernel (?) tries to access DVD drive
> https://bugs.launchpad.net/bugs/75295
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Patrick Salami | http://patrick.salami.name | 858.605.4580
------------------------------------------------------------------------
Entity Communications, LLC | http://entitycom.net

Hi

Just for the case that anyone tries the workaround fior Samsung drives described in a duplicate of this bug: Crossflashing the ASUS drive with the Samsung firmware (version 03 or something) didn't work. After re-flashing it with the original firmware, things went back to normal/buggy.

Disabling the hald-addon-storage polling mechanism for the drive is a workaround, but of course, I'd prefer having it working.

l7or (l7or) wrote :

Hello,
As you are writing something about croshflashing an ASUS-drive with Samsung-Firmware, I assume that freerick's ASUS drive is an identical version of a Samsung-drive. This would support my thesis that the error only occurs with drives manufactured by the Toshiba/Samsung (TSSTcorp) company, with the ASUS drive just having another label on it.

The problem I'm seeing here is that noone (including me) suffering from this bug really seems to know enough about hal, the linux kernel and optical disk drives... I actually think that we will have to wait for long if we don't ask the hal-developers and the linux-kernel-developers for help. The bug occurs with different linux distributions and I think that we should try to file a hal/kernel bug. As I'm currently working hard for my exams I won't have the time to file the bug somewhere else (is there a bug-management-system for hald?) during the next days, so you'll have to wait for some more time or file the bug by yourself.

Regards,
Lorenz

Eddie Hung (eddieh) wrote :

Just adding that I see this problem completely randomly - even when the drive does not have a disc in: let alone an encrypted DVD. My computer pretty much completely locks up when this problem occurs, therefore I cannot verify whether it is a HAL component which is hogging the CPU, nor can I find any other information acknowledging this error bar dmesg.

Ok, I think you're correct that the ASUS drive is actually a Samsung
drive in disguise. As I said before, installing libdvdcss with the
provided shell script (not apt-get), as well as its dependencies
solved the issue immediately, but if anyone solves this problem, on
their own, please post the solution here, that way we can narrow down
what the cause is, even without having one of the hald developers look
at it.

--Patrick

On 5/22/07, Eddie <email address hidden> wrote:
> Just adding that I see this problem completely randomly - even when the
> drive does not have a disc in: let alone an encrypted DVD. My computer
> pretty much completely locks up when this problem occurs, therefore I
> cannot verify whether it is a HAL component which is hogging the CPU,
> nor can I find any other information acknowledging this error bar dmesg.
>
> --
> Feisty freeze, kernel (?) tries to access DVD drive
> https://bugs.launchpad.net/bugs/75295
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Patrick Salami | http://patrick.salami.name | 858.605.4580
------------------------------------------------------------------------
Entity Communications, LLC | http://entitycom.net

By the way as for the hal error, if you recompile the kernel to be
preemtible, include the big kernel pre-empt you will not have an issue
opening a terminal and using killall hald-addon-storage.

On Tue, 2007-05-22 at 19:14 +0000, freerick wrote:
> Ok, I think you're correct that the ASUS drive is actually a Samsung
> drive in disguise. As I said before, installing libdvdcss with the
> provided shell script (not apt-get), as well as its dependencies
> solved the issue immediately, but if anyone solves this problem, on
> their own, please post the solution here, that way we can narrow down
> what the cause is, even without having one of the hald developers look
> at it.
>
> --Patrick
>
> On 5/22/07, Eddie <email address hidden> wrote:
> > Just adding that I see this problem completely randomly - even when the
> > drive does not have a disc in: let alone an encrypted DVD. My computer
> > pretty much completely locks up when this problem occurs, therefore I
> > cannot verify whether it is a HAL component which is hogging the CPU,
> > nor can I find any other information acknowledging this error bar dmesg.
> >
> > --
> > Feisty freeze, kernel (?) tries to access DVD drive
> > https://bugs.launchpad.net/bugs/75295
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
>
> --
> Patrick Salami | http://patrick.salami.name | 858.605.4580
> ------------------------------------------------------------------------
> Entity Communications, LLC | http://entitycom.net
>

I have actually the same problem with my laptop asus A9RP.

Changed in linux:
status: Unknown → Confirmed
Patrick Salami (pat-entitycom) wrote :

Thanks for the time regarding the compile-time kernel option. I will keep that in mind in case the problems like this become more pervasive.

Ok, it look like we can narrow this down to ASUS drives. If anyone is familiar with their firmware that might help us further.
Meanwhile, I'm experiencing the same problem again, this time only on my ASUS drive, not the SONY drive, and the problem only occurs intermittently. I'm now also convinced that it's not related to libdvdcss, even though the problem disappeared the fist time right after installed that package.
I honestly don't know where to begin to look for the source of the problem, so any ideas would be great!

I've also had other issues where the IRQ timing starts to get out of what and the entire system starts to go insane, with the hard drive spinning out of control; this happens randomly, although lately it hasn't happened as much, since I disabled most ACPI options in the BIOS. My error logs indicate that this problem is due to the IRQ timing being off which is often caused by CPU time scaling. I'm thinking that the problem here with the DVD drives might be related since the symptoms are very similar. If you have this problem, perhaps try disabling certain ACPI / CPU time scaling / other power management settings (espcially on the laptop!) which might be causing this problem.

Thanks, I hope we find a solution soon. Anyone from the hald team or the kernel team responding?

--Patrick

Benedikt Bär (beniwtv) wrote :

I don't think it can be narrowed down to ASUS.

I have a HP dv6106eu laptop (see my post above) with the TSSTcorpCD/DVDW TS-L632D (seems to be Samsung), and get this problem.

My guess is that HAL polls the drive, and the drive doesn't respond correctly or in a timely manner, so HAL tries inmediately to re-poll it, which over time might cause the drive queue to be full and not accepting more commands. But HAL continues to poll and so uses 100%, maybe HAL could be trapped in a loop without sleep().

But don't trust me to much - I'm not an expert nor have a clue :)

franz_70 (franz-70) wrote :

Same thing on my hp pavilion dv6146eu, feisty AMD-64 and TSSTcorpCD/DVDW TS-L632D. I think I worked out the problem, upgrading the firmware of my DVD. For my hp I used this link: http://www.toshibaer.com/firmware/index.php?path=TS-L632D/ then selected TS-L632D_HH15_HP_OEM.zip. Hope this will help you, too.

Patrick Salami (pat-entitycom) wrote :

The ASUS drives, as well as a few other manufacturers use Samsung chipsets afaik... it would make sense then that upgrading the firmware on your drive solved the problem. I will try the same on my ASUS and see what happens.

Ben Edgington (ben-edginet) wrote :

Hmm - I upgraded my Samsung R40 to the latest TSSTcorpCD/DVDW TS-L632D driver today and have not seen this problem since, and it was pretty reliably reproducible before.

Old firmware was SC02, new is SC03.

Sadly I had to boot into Windows and I used their upgrade utility at http://www.samsungodd.com/eng/Firmware/FAQ/Faq.asp.
[Try not to burst a blood vessel at the "this site is optimized for Internet Exporer" message!]

Todd O'Bryan (toddobryan) wrote :

I have the same problem on a POWERBOOK G4 WITH THE POWERPC VERSION OF FEISTY.

Sorry. I had to all caps that. My DVD drive is listed as a Matshita DVD-R UJ-816.

It's not limited to Samsung drives, or HP machines, or even i386 or amd64 kernels.

And it happens even when there's nothing in the CD/DVD drive.

bartoszopka (bartoszopka) wrote :

I have Asus A6JC notebook with our famous TSSTcorpCD/DVDW TS-L632D drive.

After updating from Edgy to Feisty release (the kernel was 2.6.20-15-generic) I had a problem with random freezes when hald was running and CD drive was empty.
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/64587
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/84603
The workaround was to kill/stop hald-addon-storare or put some cd/dvd into drive.

Few days ago there was kernel update (to 2.16.20-16-generic) and the above problem dissapeard. I could have cd drive empty with no freezes.
But when I once put a CD my feisty just hanged after few minutes with lots of
[ 681.880000] hda: status timeout: status=0xd0 { Busy }
[ 681.880000] ide: failed opcode was: unknown
[ 681.880000] hda: drive not ready for command
in the output. And it happens almost every time I have a CD/DVD in drive. It freezes my system so hard I don't even have a chance to get CD away or kill hald.
I didn't notice these freezes when cd in drive is running (for example I watch a movie or listen to audio cd).

I tried to update firmware (from AS05 to AS99) but it didn't help.

Patrick Salami (pat-entitycom) wrote :

Ok, I think the problem with the system locking up when there is *no* CD in the drive is different from the bug that occurs when there *is* a CD in the drive.
Could someone who has the problem when the CD is *not* in the drive post the output of /var/log/messages? Or any other debugging output that might be helpful in comparing the two problems.

I think it might be possible that the problem that occurs without the CD is broader as it has been reported on non-i386 machines and non-ASUS/Samsung drives, but it looks like the problem that occurs with the CD in the drive only occurs on ASUS/Samsung drives and perhaps only on Feisty.

As far as installing Windows to flash the firmware of the drive, I commend your bravery, Ben. I think I'd rather stick it out with hald than install Windows, because at least that way I know what the problem is. My friend's PC just went up in flames after he installed Vista.
I'm not surprised.

JB (ubuntu-j-bg) wrote :

messages attached. This shows the same drive not ready errors as loads of others have complained about.

Alban (alban-menard) wrote :

The problem is hapening even in 32 or 64 without any cdrom/dvd in the drive ( if i don't reset my drive it crashes my system)
i attached my dmesg output
My dirve is a plextor and i just flash it with last firmware (doesn't change anything)

Again: my problem is solved when i do
sudo hdparm -w /dev/hdd (reseting drive)
sudo hdparm -d 1 /dev/hdd (to set dma)
sudo rmmod cdrom
sudo rmmod ide_cd
sudo modprobe cdrom
sudo modprobe ide_cd

Aram (ayazyan) wrote :

I have an Acer Aspire 9303WSMi, with TSSTcorp CD/DVDW TS-L632D drive. I'm running Arch Linux 64.
I do experience both problems. I've tried to update my drive's firmware to the latest provided by Acer but that didn't help.

As far as I understand this doesn't have to do anything with specifically Feisty or Ubuntu.

To keep it short: the kernel (or maybe hal) asks too many questions and the drive doesn't respond properly and that locks up the computer.

Patrick Salami (pat-entitycom) wrote :

I get the same thing as JB, but something different from Alban:

/var/log/messages first shows

Jun 4 01:17:48 freerick-desktop kernel: [225075.197978] ide: failed opcode was: unknown
Jun 4 01:17:48 freerick-desktop kernel: [225075.198128] end_request: I/O error, dev hda, sector 8388136
Jun 4 01:17:48 freerick-desktop kernel: [225075.220833] hda: command error: status=0x51 { DriveReady SeekComplete Error }
Jun 4 01:17:48 freerick-desktop kernel: [225075.220840] hda: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
Jun 4 01:17:48 freerick-desktop kernel: [225075.220843] ide: failed opcode was: unknown
Jun 4 01:17:48 freerick-desktop kernel: [225075.220998] end_request: I/O error, dev hda, sector 8388136
Jun 4 01:17:48 freerick-desktop kernel: [225075.243710] hda: command error: status=0x51 { DriveReady SeekComplete Error }
Jun 4 01:17:48 freerick-desktop kernel: [225075.243716] hda: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }

[repeats]

and then

Jun 4 01:17:48 freerick-desktop kernel: [225075.243720] ide: failed opcode was: unknown
Jun 4 01:17:48 freerick-desktop kernel: [225075.243870] end_request: I/O error, dev hda, sector 8388140
Jun 4 01:20:29 freerick-desktop kernel: [225236.325919] hda: irq timeout: status=0xd0 { Busy }
Jun 4 01:20:29 freerick-desktop kernel: [225236.325925] ide: failed opcode was: unknown
Jun 4 01:20:34 freerick-desktop kernel: [225241.542941] hda: status timeout: status=0xd0 { Busy }
Jun 4 01:20:34 freerick-desktop kernel: [225241.542947] ide: failed opcode was: unknown
Jun 4 01:20:39 freerick-desktop kernel: [225246.562498] hda: status timeout: status=0xd0 { Busy }
Jun 4 01:20:39 freerick-desktop kernel: [225246.562503] ide: failed opcode was: unknown

with the last two lines repeating until I manually kill hald-addon-storage

Todd O'Bryan (toddobryan) wrote :

Attached is the log from when it happened today. For the first time it actually happened while I was working and not while the machine was just sitting idly. Amarok was playing and I'd get about half a second of audio every five seconds or so. It was odd.

As you can see from the attachment, it took almost three minutes for me to be able to switch to the terminal, login, and kill the offending process.

OlivierP (unineurone) wrote :

This still occurs after having flashed the TS-L632D to bios A01 (Acer, from toshibaer's site), as well as having done a motherboard BIOS update also.

I may have found a way to trigger this very quickly. I put in CD-RW media in the drive, and launched Serpentine to burn a series of files to CD:
system nearly froze. Difficult to get a root shell, and needed to both kill hald-addon-storage and reset the drive through hdparm.

Does anyone know how to decrease hal's polling interval ? This wold help, until the issue is fixed in both the kernel & hal (I hope such fixes will be bckported.)

Snips from dmesg, nothing new.
...
[ 1.956000] ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
[ 4.824000] ide0: BM-DMA at 0x3080-0x3087, BIOS settings: hda:DMA, hdb:pio
[ 4.824000] ide1: BM-DMA at 0x3088-0x308f, BIOS settings: hdc:DMA, hdd:pio
[ 4.824000] Probing IDE interface ide0...
[ 5.828000] ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
[ 5.844000] Probing IDE interface ide1...
[ 7.252000] ide1 at 0x170-0x177,0x376 on irq 15
...
[ 151.648000] hdc: status timeout: status=0xd0 { Busy }
[ 151.648000] ide: failed opcode was: unknown
...
[ 3593.800000] hdc: status timeout: status=0xd0 { Busy }
[ 3593.800000] ide: failed opcode was: unknown
[ 3593.800000] hdc: drive not ready for command
[ 3593.800000] hdc: DMA disabled
[ 3593.852000] hdc: ATAPI reset complete

I have similar problems with my drive (TSSTcorp TS-L632B in a Samsung X20 notebook):
When I insert a blank DVD, my system (ubuntu 7.04 generic-kernel) gets extremely slow for about 1 minutes and burning afterwards is not possible.

But:
- CPU-Usage stays low while not responding and there is only a temporary freeze
- It does read all non-blank DVDs without problems.
- CD-writing and burning works fine

In Addition, I'm sure not to have a hardware problem, as it still works with older kernels.

One (perhaps important) notice:
With linux-image-generic 2.6.20-16.28 the problem seemed to be gone. The new -16.29 version has the bug again.
But I was not able to reinstall the old .28 kernel, in order to verify this. How could I do this?

Do you need any more information, as given in the attached archive? Should I open a new bug or is this the right place?

gecko (coville-ann) wrote :
Download full text (4.1 KiB)

One more, I have the exactly the same problem. My computer freeze with haldeamon-addon-stor using 100% CPU and sometimes 9999%.
I've a clean install of feisty on an asus Z92, with Turion x64.
From my syslog, I've notice that the freeze comes always after cron starts. I'm not an expert and I don't know if there is any connections but it appears always like this.
See syslog of today :
position 4
Jun 12 11:17:01 darius /USR/SBIN/CRON[6395]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Jun 12 11:42:18 darius -- MARK --
Jun 12 12:02:18 darius -- MARK --
Jun 12 12:17:02 darius /USR/SBIN/CRON[6415]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Jun 12 12:42:19 darius -- MARK --
Jun 12 13:02:19 darius -- MARK --
Jun 12 13:17:01 darius /USR/SBIN/CRON[6452]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Jun 12 13:42:19 darius -- MARK --
Jun 12 13:52:09 darius kernel: [13830.152000] hda: status timeout: status=0xd0 { Busy }
Jun 12 13:52:09 darius kernel: [13830.152000] ide: failed opcode was: unknown
Jun 12 13:52:14 darius kernel: [13835.156000] hda: status timeout: status=0xd0 { Busy }
Jun 12 13:52:14 darius kernel: [13835.156000] ide: failed opcode was: unknown

......

Jun 12 14:58:18 darius kernel: [17798.668000] hda: drive not ready for command
Jun 12 14:58:23 darius kernel: [17803.672000] hda: status timeout: status=0xd0 { Busy }
Jun 12 14:58:23 darius kernel: [17803.672000] ide: failed opcode was: unknown
Jun 12 14:58:23 darius kernel: [17803.672000] hda: drive not ready for command
Jun 12 14:58:28 darius kernel: [17808.676000] hda: status timeout: status=0xd0 { Busy }
Jun 12 14:58:28 darius kernel: [17808.676000] ide: failed opcode was: unknown
Jun 12 14:58:28 darius kernel: [17808.676000] hda: drive not ready for command
Jun 12 14:58:33 darius kernel: [17813.684000] hda: status timeout: status=0xd0 { Busy }
Jun 12 14:58:33 darius kernel: [17813.684000] ide: failed opcode was: unknown
Jun 12 14:58:33 darius kernel: [17813.684000] hda: drive not ready for command

<<Then I make a force reboot>>

Jun 12 14:59:53 darius syslogd 1.4.1#20ubuntu4: restart.
Jun 12 14:59:53 darius kernel: Inspecting /boot/System.map-2.6.20-16-generic
Jun 12 14:59:53 darius kernel: Loaded 24977 symbols from /boot/System.map-2.6.20-16-generic.
Jun 12 14:59:53 darius kernel: Symbols match kernel version 2.6.20.
Jun 12 14:59:53 darius kernel: No module symbols loaded - kernel modules not enabled.
....

Jun 12 15:00:39 darius gconfd (coville-5867): Resolved address "xml:readwrite:/home/coville/.gconf" to a writable configuration source at position 1
Jun 12 15:00:39 darius gconfd (coville-5867): Resolved address "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source at position 2
Jun 12 15:00:39 darius gconfd (coville-5867): Resolved address "xml:readonly:/var/lib/gconf/debian.defaults" to a read-only configuration source at position 3
Jun 12 15:00:39 darius gconfd (coville-5867): Resolved address "xml:readonly:/var/lib/gconf/defaults" to a read-only configuration source at position 4
Jun 12 15:17:01 darius /USR/SBIN/CRON[5932]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Jun 12 15:39:...

Read more...

Martin Pitt (pitti) wrote :

Closing hal task, it's a kernel problem

Changed in hal:
status: Unconfirmed → Rejected

Martin,

A reference to the launchpad Kernel bug number would really be appreciated.

Thanks,
Oliver

2007/6/13, Martin Pitt <email address hidden>:
>
> Closing hal task, it's a kernel problem
>
> ** Changed in: hal (Ubuntu)
> Status: Unconfirmed => Rejected
>

More the same...

Acer Aspire 9300
2Gb DDRII 667
80Gb SATA
Nvidia Gforce 6100

Ubuntu Feisty 7.04 kernel version 2.6.20.16 generic

Hdparm command tried, unsuccessful.

Unmounted hdc tried, same

rebooting system, success, but thats not a solution...

Regards

Changed in linux:
status: Confirmed → In Progress
Changed in linux:
status: In Progress → Incomplete

I have the same Problem

Asus Z5305T
2Gb DDRII 667
120Gb Sata
Nvidia GeForce 7600Go

Ubuntu Feisty 7.04 kernel 2.6.20.16-generic

Is there still a bugfix? would be very nice, because I have to reset if the Problem
"drive not ready for command" happen.

Also my Battery is troubleshoothing somethimes. It says: "Battery has been removed". But there is still the battery inside -.-
Regards µatze

Patrick Salami (pat-entitycom) wrote :

I have figured out that the problem occurs even with a base system, since I booted the system from the Kubuntu 7.04 Live CD, and the problem occurred after the system loaded (but before the GUI loaded). Oddly, I was able to boot from it about two or three times, but the fourth time it would no longer boot; even after I reboot the computer, I would still get the same problem (even though I am not dealing with a persistent system), which indicates that the problem may be hardware-related. Specifically, it looks like the driver is not compatible with this kernel. I might be able to reproduce the problem again, and, from the syslog determine where exactly the problem arises, however, this might be difficult, given that I will be booting from the CD, without persistence, so I will not be able to go back and view the syslog after reboot, and I will not be able to SSH into the system to view it, relying only on the console during boot.

Yulin Chen (chen-yulin-yehe) wrote :

I got the similar problem after I changed the DVD-ROM as the first boot device in BIOS.
Later, when I changed the hda as the first boot device, and set the DVD-ROM as non-bootable in BIOS, the problem disappeared.

Yulin, is hda your DVD-ROM drive? also, is that the same drive for
which you were experiencing the problem?
Did you remove it from the boot chain completely, or did you just move
it down a notch?
Please let me know so I can try your solution. Thanks!

--Patrick

On 6/27/07, Yulin Chen <email address hidden> wrote:
> I got the similar problem after I changed the DVD-ROM as the first boot device in BIOS.
> Later, when I changed the hda as the first boot device, and set the DVD-ROM as non-bootable in BIOS, the problem disappeared.
>
> --
> Feisty freeze, kernel (?) tries to access DVD drive
> https://bugs.launchpad.net/bugs/75295
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Patrick Salami | http://patrick.salami.name | 858.605.4580
------------------------------------------------------------------------
Entity Communications, LLC | http://entitycom.net

Patrick,

My hardware:
hda: hard disk #1
hdb: hard disk #2
hdc: SONY DVD-ROM

I got the problem ("Jun 27 22:39:10 HOME kernel: [ 5815.306092] hdc: drive not ready for command") with the following boot device sequence in BIOS:
First Boot Device: SONY DVD-ROM
Second Boot Device: hard disk #1

The problem dissapeared with the following boot device sequence in BIOS:
First Boot Device: hard disk #1
Second Boot Device: disabled

Regards,
Yulin

Hello!
The problem seems to be solved.
I've changed the Options in the Bios setting and I had never a freeze again.
thx for the advice!
regards, µatze

Hi

I just followed the advice of disabling the cdrom in the list of boot devices as described above, but the problem persists. At least for me, it's not solved yet :(. I'm wondering what others are experiencing, especially those with asus notebooks (mine is asus, specs see above).

regards, Mat

JB (ubuntu-j-bg) wrote :

Changing the boot config hasn't helped here. Killing the hald-addon-storage process works though! Is there any config option to stop hald-addon-storage starting in the first place? Does it do anything useful - everything seems to work without it running

For mi is not solved too: I cnat remove device from boot list O_o

Acer bios dont permit...

So problem persists...

Regards

>From: Mathias Weyland <email address hidden>
>Reply-To: Bug 75295 <email address hidden>
>To: <email address hidden>
>Subject: [Bug 75295] Re: Feisty freeze, kernel (?) tries to access DVD
>drive
>Date: Sat, 30 Jun 2007 22:05:03 -0000
>MIME-Version: 1.0
>Received: from adelie.ubuntu.com ([82.211.81.139]) by
>bay0-mc6-f6.bay0.hotmail.com with Microsoft SMTPSVC(6.0.3790.2668); Sat, 30
>Jun 2007 15:10:11 -0700
>Received: from gangotri.ubuntu.com ([82.211.81.179])by adelie.ubuntu.com
>with esmtp (Exim 4.60 #1 (Debian))id 1I4l8s-0007hL-Dyfor
><email address hidden>; Sat, 30 Jun 2007 23:10:10 +0100
>Received: from gangotri.ubuntu.com (localhost.localdomain [127.0.0.1])by
>gangotri.ubuntu.com (Postfix) with ESMTP id 5746331816Dfor
><email address hidden>; Sat, 30 Jun 2007 23:10:10 +0100 (BST)
>X-Message-Info:
>txF49lGdW41GJkJOm+HKtkDJqJQ+ITolCw1t1HqqxnxAhqka7v4lieJy6/k3dUE7
>References: <email address hidden>
>X-Launchpad-Bug: product=linux; status=Incomplete;
>importance=Unknown;assignee=None; X-Launchpad-Bug: distribution=ubuntu;
>sourcepackage=hal; component=main;status=Invalid; importance=Undecided;
>assignee=None; X-Launchpad-Bug: distribution=ubuntu;
>sourcepackage=linux-source-2.6.20;component=main; status=Confirmed;
>importance=Medium;assignee=ubuntu-kernel-team;
>X-Launchpad-Message-Rationale: Subscriber
>Errors-To: <email address hidden>
>Precedence: bulk
>X-Generated-By: Launchpad (canonical.com)
>Return-Path: <email address hidden>
>X-OriginalArrivalTime: 30 Jun 2007 22:10:11.0375 (UTC)
>FILETIME=[6D545BF0:01C7BB63]
>
>Hi
>
>I just followed the advice of disabling the cdrom in the list of boot
>devices as described above, but the problem persists. At least for me,
>it's not solved yet :(. I'm wondering what others are experiencing,
>especially those with asus notebooks (mine is asus, specs see above).
>
>regards, Mat
>
>--
>Feisty freeze, kernel (?) tries to access DVD drive
>https://bugs.launchpad.net/bugs/75295
>You received this bug notification because you are a direct subscriber
>of the bug.

_________________________________________________________________
Moda para esta temporada. Ponte al día de todas las tendencias.
http://www.msn.es/Mujer/moda/default.asp

Changed in linux:
status: Incomplete → Confirmed

Don't work here too (change the boot order).
I added line "pkill hald-addon-stor" in file /etc/rc.local

No more freezy but... DVD player don't work.

Thanks for confirming this bug. It keeps happening for me too, no
matter what. Changing the boot device doesn't help. hald-addon-storage
is apparently necessary, as it restarts by itself even after you kill
it, which can cause your computer to lock up again, if you insert
another disk into the drive.
It doesn't do it every single time, but it does happen often enough to
drive me insane.

Here's a workaround that has been working for me for a couple of weeks.

Add the following to /etc/rc.local, replace /dev/hdc with your CD/DVD's device node.
hal-disable-polling --device /dev/hdc

Caveat:
You will need to manually mount your CD/DVD (for example: pmount /media/cdrom ).
Once mounted, right-click -> Eject works as expected.

williamts99 (williamts99) wrote :

Same problem, Compaq Evo-N1020v with TSSTcorpCD/DVDW SN-S082D

Had firmware SS02, which always froze with:
laptop kernel: [16427.604000] hdc: status timeout: status=0xd0 { Busy }
laptop kernel: [16427.604000] ide: failed opcode was: unknown

Over and over again. sudo killall hald-addon-stor fixed it temporarily

Upgraded firmware(had to use windows) to SS03 and I haven't had the problem again(so far).

Same problem on my laptop Asus F3T (AMD Turion x2) with TSSTcorp CD/DVDW TS-L632D drive. My system is Ubuntu 7.04 64 bit edition.

williamts99 (williamts99) wrote :

Андрей Калинин,

What firmware version is your drive running, and have you checked for a drive firmware update?

Originally firmvare was the AS05 (I am not shure about letters). But now I
change version to AS99. This is the latest version. The number of frozens
per a day reduses, but it still presents. In mostly the bug is shows up then
I works with cd-driwe (read in mostly cases) in around 10 minutes after

2007/7/19, williamts99 <email address hidden>:
>
> Андрей Калинин,
>
> What firmware version is your drive running, and have you checked for a
> drive firmware update?
>
> --
> Feisty freeze, kernel (?) tries to access DVD drive
> https://bugs.launchpad.net/bugs/75295
> You received this bug notification because you are a direct subscriber
> of the bug.
>

The same happens here too on Asus F3T.

bogolisk (dang-linh) wrote :
Download full text (5.5 KiB)

Similar problem here with LiteOn drive. No issue with reading discs but burning would cause the system to freeze. disc burning on the same system was working fine with Dapper and Edgy.

ubuntu feisty installed on disc.
LiteOn Drive.
Package: linux-image-2.6.20-16-generic

/var/log/kernel:
Jul 9 16:55:10 hanhi kernel: [ 613.356000] UDF-fs: Partition marked readonly; forcing readonly mount
Jul 9 16:55:10 hanhi kernel: [ 613.376000] UDF-fs INFO UDF 0.9.8.1 (2004/29/09) Mounting volume 'VVID_PBN88D1', timestamp 2007/07/06 11:42 (1f10)
Jul 9 16:59:58 hanhi kernel: [ 901.484000] cdrom: This disc doesn't have any tracks I recognize!
Jul 9 17:23:07 hanhi kernel: [ 2290.012000] cdrom: This disc doesn't have any tracks I recognize!
Jul 9 17:39:10 hanhi kernel: [ 3252.980000] cdrom: This disc doesn't have any tracks I recognize!
Jul 9 17:55:53 hanhi kernel: [ 4256.048000] cdrom: This disc doesn't have any tracks I recognize!
Jul 9 17:56:58 hanhi kernel: [ 4320.668000] hdd: DMA timeout retry
Jul 9 17:56:58 hanhi kernel: [ 4320.668000] hdd: timeout waiting for DMA
Jul 9 17:57:03 hanhi kernel: [ 4325.672000] hdd: status timeout: status=0xd0 { Busy }
Jul 9 17:57:03 hanhi kernel: [ 4325.672000] ide: failed opcode was: unknown
Jul 9 17:57:03 hanhi kernel: [ 4325.672000] hdd: drive not ready for command
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] BUG: soft lockup detected on CPU#0!
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [softlockup_tick+156/240] softlockup_tick+0x9c/0xf0
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [update_process_times+51/128] update_process_times+0x33/0x80
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [smp_apic_timer_interrupt+112/128] smp_apic_timer_interrupt+0x70/0x80
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [apic_timer_interrupt+40/48] apic_timer_interrupt+0x28/0x30
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [ide_inb+3/16] ide_inb+0x3/0x10
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [ide_wait_stat+240/320] ide_wait_stat+0xf0/0x140
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [ide_do_request+769/2528] ide_do_request+0x301/0x9e0
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [unmask_IO_APIC_irq+31/64] unmask_IO_APIC_irq+0x1f/0x40
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [default_enable+18/32] default_enable+0x12/0x20
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [check_irq_resend+29/112] check_irq_resend+0x1d/0x70
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [enable_irq+197/208] enable_irq+0xc5/0xd0
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [__ide_dma_end+91/144] __ide_dma_end+0x5b/0x90
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [__ide_dma_host_off+71/96] __ide_dma_host_off+0x47/0x60
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [ide_timer_expiry+201/704] ide_timer_expiry+0xc9/0x2c0
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [ide_timer_expiry+0/704] ide_timer_expiry+0x0/0x2c0
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [run_timer_softirq+303/416] run_timer_softirq+0x12f/0x1a0
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [timer_interrupt+89/176] timer_interrupt+0x59/0xb0
Jul 9 17:57:07 hanhi kernel: [ 4330.408000] [__do_softirq+130/256] __do_softirq+0x82/0x100
Jul 9 17:57:07 hanhi kernel...

Read more...

My DVD Drive is CAV drive. Thus at the beginning of burning process, it'd take a while for the drive to switch mode (higher speed mode such as 16X would take the longest.)

I've change ide-cd.c to use a large timeout and it seems to bypass the bug. The real bug I believe is the unrecovered soft lockup triggered by the timeout (waiting for the drive to be ready to take the write commands.)

the current timeout is 10sec, I've made it 6*3*10sec = 3min. Now I can burn dvd (at 16x) again.

Not necesarialy: My DVD unit make Feisty hangs in complete standbying, so
not in a burn operation, or a read one.

Not using dvd unit cause hangs, and usin it cause too...

May be possible bug is timeout, but solution is not to increase the timeout,
but breaking circle it get in: Read, Icant, read, Icant, read...

Regards

>From: bogolisk <email address hidden>
>Reply-To: Bug 75295 <email address hidden>
>To: <email address hidden>
>Subject: [Bug 75295] possible trigger and workaround:
>Date: Tue, 24 Jul 2007 23:25:55 -0000
>MIME-Version: 1.0
>Received: from adelie.ubuntu.com ([82.211.81.139]) by
>bay0-mc10-f2.bay0.hotmail.com with Microsoft SMTPSVC(6.0.3790.2668); Tue,
>24 Jul 2007 16:35:26 -0700
>Received: from gangotri.ubuntu.com ([82.211.81.179])by adelie.ubuntu.com
>with esmtp (Exim 4.60 #1 (Debian))id 1IDTuY-0007Jd-7cfor
><email address hidden>; Wed, 25 Jul 2007 00:35:26 +0100
>Received: from gangotri.ubuntu.com (localhost.localdomain [127.0.0.1])by
>gangotri.ubuntu.com (Postfix) with ESMTP id 2A9C531854Ffor
><email address hidden>; Wed, 25 Jul 2007 00:35:26 +0100 (BST)
>X-Message-Info:
>LsUYwwHHNt1sJXE7PNPhGxhLgDpq0N66K+jCaUPXihqDnh2uXslH7MWmHnyZVPiD
>References: <email address hidden>
>X-Launchpad-Bug: product=linux; status=Confirmed;
>importance=Unknown;assignee=None; X-Launchpad-Bug: distribution=ubuntu;
>sourcepackage=hal; component=main;status=Invalid; importance=Undecided;
>assignee=None; X-Launchpad-Bug: distribution=ubuntu;
>sourcepackage=linux-source-2.6.20;component=main; status=Confirmed;
>importance=Medium;assignee=ubuntu-kernel-team;
>X-Launchpad-Message-Rationale: Subscriber
>Errors-To: <email address hidden>
>Precedence: bulk
>X-Generated-By: Launchpad (canonical.com)
>Return-Path: <email address hidden>
>X-OriginalArrivalTime: 24 Jul 2007 23:35:27.0205 (UTC)
>FILETIME=[50841150:01C7CE4B]
>
>My DVD Drive is CAV drive. Thus at the beginning of burning process,
>it'd take a while for the drive to switch mode (higher speed mode such
>as 16X would take the longest.)
>
>I've change ide-cd.c to use a large timeout and it seems to bypass the
>bug. The real bug I believe is the unrecovered soft lockup triggered by
>the timeout (waiting for the drive to be ready to take the write
>commands.)
>
>the current timeout is 10sec, I've made it 6*3*10sec = 3min. Now I can
>burn dvd (at 16x) again.
>
>--
>Feisty freeze, kernel (?) tries to access DVD drive
>https://bugs.launchpad.net/bugs/75295
>You received this bug notification because you are a direct subscriber
>of the bug.

_________________________________________________________________
¿Estás pensando en cambiar de coche? Todas los modelos de serie y extras en
MSN Motor. http://motor.msn.es/researchcentre/

Hi!

I have an Asus A6J with exactly the same problem with a DVD device TSSTcorp' 'CD/DVDW TS-L632D AS05, almost every day my system hangs.

Then I changed DVD device as primary boot and put the HD, after that my system doesnt hang.

Today I leave my laptop turned on during 3 or 4 hours, then my system was hang again, that make my thing may be the problem is associated with the suspension or hibernating.

Can i disable this function in kernel ¿?

Simply was an idea.

Regards

I dont think so, so i dont hibernate or suspend y laptop, and equaly
hangs...

Regards

_________________________________________________________________
Horóscopo, tarot, numerología... Escucha lo que te dicen los astros.
http://astrocentro.msn.es/

Exactly same problem here. I have Asus A6T with the TSSTcorp CD/DVD TS-L632D
I had this freezing issue both in feisty and gutsy.I'm really waiting for a fix for this!

Andreas (depot) wrote :

Hi,

the described bug was present on my HP nx6325 with TSSTcorp CD/DVDW TS-L632D as well. I use openSUSE 10.2 and tried many different (vanilla) kernel versions up to 2.6.22 and a lot of kernel parameters without any success. The problem occurred very often after usage of the DVD drive (shortly after spinning down), but also from time to time when I did not use the drive at all.

===Solution for me (might void warranty):===
A firmware update for the DVD drive from version HH15 to version SC04 fixed the problem for my notebook. The bug did not appear once in a test period of several weeks with low drive usage.

At the time of the update, no official firmware update was available for my drive. Instead, I downloaded the SC04 update for another TS-L632D drive from the Korean web site of Samsung, extracted the firmware image, and flashed that using another version of sfdnwin which permits cross-flashing. Please note that this cross-flashing is not recommended by the manufacturer and might render the warranty void.

Regards,
Andreas

salva (salva-lorenzo) wrote :

I have an ASUS with 'TSSTcorp' 'CD/DVDW TS-L632D' 'AS05' device and i had the freeze problem. After downgrade the firmware version to S03 I fixed the problem.

xtknight (xt-knight) wrote :

I have had this problem in the past with my TSSTcorp SH-S182M. It seems to happen only very rarely now that it is on my Promise IDE controller (but still sometimes). It happened almost everyday with my JMicron on-board controller.

The Andreas's method solves the problem for me (ASUS F3T). I test my laptop
for 3 days and have no freezes.

2007/8/5, Andreas <email address hidden>:
>
> Hi,
>
> the described bug was present on my HP nx6325 with TSSTcorp CD/DVDW TS-
> L632D as well. I use openSUSE 10.2 and tried many different (vanilla)
> kernel versions up to 2.6.22 and a lot of kernel parameters without any
> success. The problem occurred very often after usage of the DVD drive
> (shortly after spinning down), but also from time to time when I did not
> use the drive at all.
>
> ===Solution for me (might void warranty):===
> A firmware update for the DVD drive from version HH15 to version SC04
> fixed the problem for my notebook. The bug did not appear once in a test
> period of several weeks with low drive usage.
>
> At the time of the update, no official firmware update was available for
> my drive. Instead, I downloaded the SC04 update for another TS-L632D
> drive from the Korean web site of Samsung, extracted the firmware image,
> and flashed that using another version of sfdnwin which permits cross-
> flashing. Please note that this cross-flashing is not recommended by the
> manufacturer and might render the warranty void.
>
> Regards,
> Andreas
>
> --
> Feisty freeze, kernel (?) tries to access DVD drive
> https://bugs.launchpad.net/bugs/75295
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Has anyone tried removing the evms and evms-ncurses packages? I had this same freezing problem (with or without a disc in the drive), and this workaround worked for me:

apt-get remove evms evms-ncurses

This is the "enterprise volume management system", which most desktop users do not actually need. Of course, your mileage may vary, but I suspect that if you are using this, it's because you set it up yourself.

Any luck with this workaround?

richhal22 (richhal22) wrote :

See https://launchpad.net/evms to help you figure out if you can remove evms.

Download full text (7.7 KiB)

Problem solved for Asus A6Rp laptop --FIRMWARE UPGRADE REQUIRED --

Following other successful stories (see above) regarding firmware upgrades on a number of laptops I decided to attempt a firmware upgrade myself. The Asus A6Rp has a TSSTcorpCD/DVD TS-L632D optical drive which came with firmware version AS05. Asus appears to provide no drive firmware upgrade - so cross-flashing is required. But first, some background.

_______________________________________________
Background:
TSST stands for "Toshiba Samsung Storage Technology". Samsung provides these drives in their own laptops but they also provide them to other laptop companies such as Asus, Acer, HP and others. If you have a Samsung laptop your firmware version will likely begin with SC (however other possibilities exist). I have an ASUS so the firmware has been labeled ASxx. More on this if you goto http://www.samsungodd.com and then FIRMWARE->Check F/W VERSION. Samsung appears to provide a customised firmware product to other laptop companies. However, Samsung only supports their drives in their laptops. Other laptop companies must pass on firmware upgrades independently, which in the case of ASUS doesn't appear to be happening. Some other laptop companies may do this- you'll have to check.

A quick web search shows that these drives are causing trouble for numerous OS platforms including MSwindows (although the problem manifests itself a little differently on MSWindows). I'll assert at this point that I think this bug is not an Ubuntu bug nor is it a Linux kernel bug: it is a manufacturer firmware bug. However, having said that, I am very grateful that this did exist as a bug in Ubuntu's Launchpad because world-wide, Launchpad has been the best source of information about this problem with some excellent discussion and ideas.

For me the only solution available was to cross-flash with SCxx firmware to replace my buggy AS05 firmware and hope that the differences between the custom AS05 and SCxx are negligible. It seems that in the case of the A6Rp the differences are indeed negligible or perhaps non-existent.

You can check your drive and firmware version in Ubuntu by going: System>Preferences>Hardware Information ; Now look for your drive. Under the "advanced" tab you will find > 'info.product' & also 'storage.product' which will say something like "TSSTcorpCD/DVD TS-L632D" ; and, 'storage.firmware_version' which may say "AS05". Alternatively, you can download "WININQUIRY.EXE" from http://www.samsungodd.com and then FIRMWARE>Check F/W VERSION and run this in MSWindows or run it in Ubuntu using wine (It works perfectly with wine in Ubuntu feisty).

Note that some laptops that have Samsung drives which are not model TS-L632D are reported to have been successfully flashed with the SCxx firmware for the TS-L632D drive (see Andreas on 2007-08-04 above in this bug commentary).

Below I outline my solution and I also provide reference to a solution if you don't have an MSwindows partition.

______________________________________________________
Solution for A6Rp - if you have a bootable MSwindows partition:

You will need the firmware upgrade from Samsung. There are two firmware upgrade...

Read more...

Gareth Watson (gareth-gwdb) wrote :

This problem has been driving me crazy!!! However I have fixed the issue with the help of Gareth Fitzworthington (another Gareth :) ) post above. I just wanted to post and add a little further information.

I have an Acer 9301 laptop with a TSSTCorp TS-632D ac00 drive. I downloaded the SC04 firmware but when using the SFDNWIN.exe it told me I could not flash the drive because it was from another manufacturer gahhhh! However you can use SFDNWIN.exe from the windows command line. Running:

sfdnwin -nocheck

Will load the application as normal but it will not check the firmware you load against the spec of the drive. However, be careful!!! You can now load anything you want in place of the firmware! Make sure you choose the right file.

So using this small nugget of information and Gareth Fitzworthington's previous post you should be able to dig yourself out of the hole the manufacturer put you in.

Cheers,

Gareth Watson

I have what appears to be the same problem, but with a SONY DVD DW-D26A JYS1 at /dev/hda

I am running Gutsy, fully updated as of 2007-Sep-06

My other machines have the TSSTcorp drives and show the same type of problems under Gutsy, but were working with Feisty before I upgraded.

I am having the same problems with a Sony drive, so I don't think it is only a TSSTcorp problem.

From what I can ascertain the "SONY DVD DW-D26A" is not a SONY drive. It appears to be a re-badged Lite-On SOHW-1673S. See here for more details:
http://www.linuxquestions.org/hcl/showproduct.php?product=3441&cat=all

One previous person also reported this problem with a Lite-On drive but no model ID was supplied (see Bogolisk 2007-07-24 above). The diagnostic error message reported is consistent with this bug:
hdd: DMA timeout retry
hdd: timeout waiting for DMA
hdd: status timeout: status=0xd0 { Busy }
ide: failed opcode was: unknown
hdd: drive not ready for command

So, yes, it does seem that there may be some Lite-On drives experiencing this problem. A comparison of kernel logs for the bug between Lite-On & TSSTcorp would be interesting. This Lite-On drive appears to have caused problems for both Linux & MSWindows systems. A quick web search shows that numerous MSWindows users have had trouble with the Lite-On SOHW-1673S (very high failure rate when burning DVDs). Firmware upgrade is widely reported as the solution for MSWindows users. Firmwares JYS2 & possibly a JYS3 are available (see here:
http://forum.rpc1.org/dl_firmware.php?download_id=2081

Some other drives that may have trouble (very few reports)
TSSTcorp CD/DVDW SH-S183L [bug with SB01 : SB02 (28/6/07) is available from Samsung]
TSSTcorp CD/DVDW SN-S082D [SS03 (4/3/07) firmware upgrade fixed bug - note:there are two (csel=high or low) firmwares for this drive]
TSSTcorp CD/DVDW TS-H552B [TS12 seems to be latest in long line of firmware upgrades]

However, almost all reported drives exhibiting this problem are TSSTcorpCD/DVD TS-L632D optical drives.

Also note that this bug commentary is not the only report of this or similar bugs with the TSSTcorpCD/DVD TS-L632D.

Bug #75295 mostly reports on the bug concerning IDE connections
Bug #84603 mostly concerns PCs with SATA connections
Bug #117441 concerns System76 PCs.

Nearly all reported optical drive models in the above three listed bugs (and their included duplicate bugs) are TSSTcorpCD/DVD TS-L632D.

Furthermore, all those with TS-L632D who have done a firmware upgrade to SC03 or SC04 have reported that it fixed the bug.

I'm wondering if this is connected to Bug #119258 K3B is freezing system AFTER burning DVD.

I'm seeing the problem on the following Hardware
CPU - Athlon XP 2800
Motherboard Gigabyte 7vaxp
DVD - Pioneer 110D
OS - Ubuntu Feisty
Kernel - 2.6.20-16-generic

When I burn a DVD under k3b i get a freeze for about 5 seconds as it switches from burn to verify and the following output in /var/log/messages

[928813.142234] hdc: irq timeout: status=0xd0 { Busy }
[928813.142242] ide: failed opcode was: unknown
[928818.136827] hdc: status timeout: status=0xd0 { Busy }
[928818.136830] ide: failed opcode was: unknown
[928818.136834] hdc: drive not ready for command
[928822.583541] BUG: soft lockup detected on CPU#0!
[928822.583575] [<c015354c>] softlockup_tick+0x9c/0xf0
[928822.583589] [<c0130643>] update_process_times+0x33/0x80
[928822.583598] [<c01154b0>] smp_apic_timer_interrupt+0x70/0x80
[928822.583607] [<c01042f8>] apic_timer_interrupt+0x28/0x30
[928822.583619] [<c0262543>] ide_inb+0x3/0x10
[928822.583625] [<c02639b0>] ide_wait_stat+0xf0/0x140
[928822.583633] [<c0261331>] ide_do_request+0x301/0x9e0
[928822.583643] [<c0116ccf>] unmask_IO_APIC_irq+0x1f/0x40
[928822.583650] [<c0154712>] default_enable+0x12/0x20
[928822.583654] [<c01546ad>] check_irq_resend+0x1d/0x70
[928822.583660] [<c0154345>] enable_irq+0xc5/0xd0
[928822.583668] [<f8a1b6b0>] cdrom_newpc_intr+0x0/0x350 [ide_cd]
[928822.583678] [<c0262349>] ide_timer_expiry+0xc9/0x2c0
[928822.583686] [<c0262280>] ide_timer_expiry+0x0/0x2c0
[928822.583690] [<c012f74f>] run_timer_softirq+0x12f/0x1a0
[928822.583700] [<c012b422>] __do_softirq+0x82/0x100
[928822.583711] [<c012b4f5>] do_softirq+0x55/0x60
[928822.583715] [<c01154b5>] smp_apic_timer_interrupt+0x75/0x80
[928822.583720] [<c01042f8>] apic_timer_interrupt+0x28/0x30
[928822.583725] [<c0101e00>] default_idle+0x0/0x60
[928822.583734] [<c011c092>] native_safe_halt+0x2/0x10
[928822.583742] [<c0101e3d>] default_idle+0x3d/0x60
[928822.583745] [<c0101409>] cpu_idle+0x49/0xd0
[928822.583750] [<c03d97f5>] start_kernel+0x365/0x420
[928822.583759] [<c03d9230>] unknown_bootoption+0x0/0x260
[928822.583770] =======================
[928823.133216] hdc: status timeout: status=0xd0 { Busy }
[928823.133218] ide: failed opcode was: unknown
[928823.133221] hdc: drive not ready for command

I have attached a list of the currently loaded modules.

bartoszopka (bartoszopka) wrote :

I have Asus A6JC with TSSTcorpCD/DVD TS-L632D drive.

Previously I updated firmware from AS05 to AS99 but it didn't solve the problem.
I didn't know about -nocheck option that allows to install firmware from other manufacturer :)

Following instructions posted above by Gareth
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/75295/comments/97
i installed SC03 firmware and it seems to be working for me both on feisty and gutsy.

Yeah! Thank you Gareth! This was really annoying issue.

I have an Asus S96S with TSSTcorpCD/DVDW TS-L632D drive.

I'd been running it for about a week now without incident, when this rather nasty bug appeared from nowhere. I wasn't using the drive and there was nothing in it.

I tried everything I could think of, but in the end it was just too unresponsive, so I had to reset the computer.

Thanks a lot to those who have found the solution! I am glad that it has only happened to me once, and hopefully never again...

Brezhonneg (fricompte) wrote :

Forgive me if I'm wrong, but I believe I am seeing the same bug, with a different drive though.
The bug description in my case is quite simple: my dmesg shows an endless list of

[19145.388805] hda: drive not ready for command
[19145.388837] hda: status error: status=0x59 { DriveReady SeekComplete DataRequest Error }
[19145.388842] hda: status error: error=0x40 { LastFailedSense=0x04 }
[19145.388845] ide: failed opcode was: unknown

The list usually starts after a message pops up on my screen saying a new medium was detected (though I was not using the DVD drive in any manner). This seems completely unpredictable. hdparm -w successfully stops the error message list. Unmounting the ghost medium does nothing. The system is still normally responsive when the bug occurs.

I'm using Kubuntu gutsy x86_64.
uname -r
2.6.22-14-generic

Relevant output of smartctl -a /dev/hda
Device Model: MATSHITADVD-RAM UJ-850S
Serial Number: HA32 037777
Firmware Version: 1.05
Device is: Not in smartctl database [for details use: -P showall]
ATA Version is: 6
ATA Standard is: Exact ATA specification draft version not indicated
SMART support is: Unavailable - Packet Interface Devices [this device: CD/DVD] don't support ATA SMART

I'll be glad to provide any requested information.

Update dvd device firmware .....................................[OK]
no more freeze from Feisty.......................................[OK]

So no more problems with this issue. Thats all folks ;)

Regards

> From: <email address hidden>
> To: <email address hidden>
> Date: Tue, 27 Nov 2007 09:36:54 +0000
> Subject: [Bug 75295] Re: Feisty freeze, kernel (?) tries to access DVD drive
>
> Forgive me if I'm wrong, but I believe I am seeing the same bug, with a different drive though.
> The bug description in my case is quite simple: my dmesg shows an endless list of
>
> [19145.388805] hda: drive not ready for command
> [19145.388837] hda: status error: status=0x59 { DriveReady SeekComplete DataRequest Error }
> [19145.388842] hda: status error: error=0x40 { LastFailedSense=0x04 }
> [19145.388845] ide: failed opcode was: unknown
>
> The list usually starts after a message pops up on my screen saying a
> new medium was detected (though I was not using the DVD drive in any
> manner). This seems completely unpredictable. hdparm -w successfully
> stops the error message list. Unmounting the ghost medium does nothing.
> The system is still normally responsive when the bug occurs.
>
> I'm using Kubuntu gutsy x86_64.
> uname -r
> 2.6.22-14-generic
>
> Relevant output of smartctl -a /dev/hda
> Device Model: MATSHITADVD-RAM UJ-850S
> Serial Number: HA32 037777
> Firmware Version: 1.05
> Device is: Not in smartctl database [for details use: -P showall]
> ATA Version is: 6
> ATA Standard is: Exact ATA specification draft version not indicated
> SMART support is: Unavailable - Packet Interface Devices [this device: CD/DVD] don't support ATA SMART
>
> I'll be glad to provide any requested information.
>
> --
> Feisty freeze, kernel (?) tries to access DVD drive
> https://bugs.launchpad.net/bugs/75295
> You received this bug notification because you are a direct subscriber
> of the bug.

_________________________________________________________________
Tecnología, moda, motor, viajes,…suscríbete a nuestros boletines para estar a la última
http://newsletters.msn.com/hm/maintenanceeses.asp?L=ES&C=ES&P=WCMaintenance&Brand=WL&RU=http%3a%2f%2fmail.live.com

In response to Brezhonneg (above):

The issue you reported is not this bug. This bug report is tightly defined by the "status timeout: status=0xd0" error and an unresponsive PC on about a 5 second cycle.

The following may help:
See Bug #129708
See Bug #113144
See https://answers.launchpad.net/ubuntu/+question/10747

See similar error report for HP laptop with Redhat at (although no help is provided):
http://www.stearns.org/doc/hp-dv9225us-fedora-6.html

If the above doesn't help then consider filing a new bug report (if this is a feisty-gutsy regression then clearly mark this, include comprehensive PC hardware details & dmesg report).

gmayer (gunther-mayer) wrote :

I just wanted to say that I managed to get rid of lots of weird ata soft resets and other related problems (see bug 104581) thanks to Tom's instructions using two flash drives. I'm on a Samsung Q35 laptop with the notorious TSSTcorp TS-L632D DVD writer (used to be firmware_version SC02, now SC04, downloaded). I have no Windows partition as I completely nuked it a while back, I'm an Ubuntu purist ;-). The FreeDOS's USB drivers work perfectly on my laptop too so that I had no problem accessing once I had booted from the first flash drive.

So I can vouch for Tom's instructions and would consider them as generic as long the reader has the same drive as above and no access to a Windows partition. For those folks still dependent on Windows the above instructions are probably easier.

gmayer (gunther-mayer) wrote :

To expand on my previous post: It was in relation to Gareth's comment above (2007-08-25, https://bugs.launchpad.net/linux/+bug/75295/comments/97), specifically the bit about what the folks like me without a Windows partition should do, referring to a post by Thomas Aaron in bug 117441.

I've no been going strong for three days without issues, seems like that DVD writer firmware upgrade did wonders indeed.

On Wednesday 28 November 2007 03:06:37 Gareth Fitzworthington wrote :
> In response to Brezhonneg (above):
>
> The issue you reported is not this bug. This bug report is tightly
> defined by the "status timeout: status=0xd0" error and an unresponsive
> PC on about a 5 second cycle.
>
> The following may help:
> See Bug #129708
> See Bug #113144
> See https://answers.launchpad.net/ubuntu/+question/10747
>
> See similar error report for HP laptop with Redhat at (although no help is
> provided): http://www.stearns.org/doc/hp-dv9225us-fedora-6.html
>
> If the above doesn't help then consider filing a new bug report (if this
> is a feisty-gutsy regression then clearly mark this, include
> comprehensive PC hardware details & dmesg report).

Thank you very much for your kind response, I will do my best to make my
report fit to where it belongs.

Cheers

I have the very same issue with Ubuntu Gutsy Gibbon.

My computer has the following hardware
AMD Opteron 146 64 bits Microprocessor
ASUS A8N-E SLI Motherboard
SATA II Western Digital Caviar 250 GB Hard Disk
ASUS DVDRW-1608P2S DVD Rewriter / Reader Dual Layer With Firmware version 1.06
ASUS DVD-E616A2 DVD Reader Dual Layer with Firmare version 1.03

Kernell 2.6.22-14-generic

I got the following error on bootup:

"hdd: drive not ready for command" (hdd is the DVD Reader)

Sometimes the machine freezes for minutes and mnutes trying to read the DVD I insert.

A few minutes ago it freezed up and here is what appears on /var/log/messages:
Dec 27 22:46:44 vivasoft kernel: [ 219.400838] hdd: irq timeout: status=0xd0 { Busy }
Dec 27 22:46:44 vivasoft kernel: [ 219.400842] ide: failed opcode was: unknown
Dec 27 22:46:50 vivasoft kernel: [ 224.618806] hdd: status timeout: status=0xd0 { Busy }
Dec 27 22:46:50 vivasoft kernel: [ 224.618810] ide: failed opcode was: unknown
Dec 27 22:46:50 vivasoft kernel: [ 224.618844] Clocksource tsc unstable (delta = 4684610135 ns)
Dec 27 22:46:50 vivasoft kernel: [ 224.621314] Time: acpi_pm clocksource has been installed.
Dec 27 22:46:55 vivasoft kernel: [ 229.825466] hdd: status timeout: status=0xd0 { Busy }
Dec 27 22:46:55 vivasoft kernel: [ 229.825470] ide: failed opcode was: unknown
Dec 27 22:47:00 vivasoft kernel: [ 235.075005] hdd: status timeout: status=0xd0 { Busy }
Dec 27 22:47:00 vivasoft kernel: [ 235.075010] ide: failed opcode was: unknown
Dec 27 22:47:05 vivasoft kernel: [ 240.283225] hdd: status timeout: status=0xd0 { Busy }
Dec 27 22:47:05 vivasoft kernel: [ 240.283229] ide: failed opcode was: unknown
Dec 27 22:47:10 vivasoft kernel: [ 245.491444] hdd: status timeout: status=0xd0 { Busy }
Dec 27 22:47:10 vivasoft kernel: [ 245.491448] ide: failed opcode was: unknown
Dec 27 22:47:16 vivasoft kernel: [ 250.699662] hdd: status timeout: status=0xd0 { Busy }
Dec 27 22:47:16 vivasoft kernel: [ 250.699667] ide: failed opcode was: unknown
Dec 27 22:47:21 vivasoft kernel: [ 255.907882] hdd: status timeout: status=0xd0 { Busy }
Dec 27 22:47:21 vivasoft kernel: [ 255.907887] ide: failed opcode was: unknown
Dec 27 22:47:26 vivasoft kernel: [ 261.116101] hdd: status timeout: status=0xd0 { Busy }
Dec 27 22:47:26 vivasoft kernel: [ 261.116105] ide: failed opcode was: unknown
Dec 27 22:47:26 vivasoft kernel: [ 261.116109] hdd: DMA disabled
Dec 27 22:47:26 vivasoft kernel: [ 261.163718] hdd: ATAPI reset complete
Dec 27 22:47:26 vivasoft kernel: [ 261.455101] VFS: busy inodes on changed media.

and eventually recognized the DVD but sometimes even ubuntu did not recognize my DVD drive at all.

NiksaVel (nikola-leder) wrote :

I have the same problem occuring on my machine - AMD Athlon XP 1600+ /w 512MB RAM on a nforce2 mobo running Linux Mint Daryna - which is essentially gutsy gibbon at it's core.

The problem happens to me when I try to burn a second or third DVD in a row... the system just hangs for 4 secs out of 5 with hald-addon-stor taking up most of the proc. It actually gives the proc. to growisofs now and than (I've tried burning with sys guard proc monitor open to see what happens), and than after a few minutes it settles down with hald-addon-stor taking 46% and growisofs 46%... if I kill hald-addon-stor the comp unlocks immediatelly but I loose access to the drive and the DVD I was burning is unusable - I already have a load of coasters.

I am using LITE-ON DVDRW LH-20A1P KL05 (/dev/hdc, )

NOW HERE'S THE PART NOONE MENTIONED B4:
I don't think this is strictly drive related - I have been using this burner in another comp for the past few months on the same software setup - and it gave me NO TROUBLE WHATSOEVER!!! Only now that I've swapped some hardware around have I started getting this problems... and wasting $$$ in failed DVDs....

I've tried booting with all-ide-generic but it didn't make much difference...

All the solutions I've seen here will help me unlock my comp one way or the other, but if I realise correctly, they will all also break my burning process - essentially not helping me much - I will still mess up every other DVD burn I attempt...

NiksaVel (nikola-leder) wrote :

Here is how I deal with the problem so far:

the workaround here:
http://www.liddicott.com/~sam/?p=79

doesn't really do it for me, because when I start getting this messages and the system is half frozen, my DVD burning is already failed and I'll have to throw away yet another DVD and restart the process.

Now, after every burn I reset the ATAPI drive with:

sudo hdparm -w /dev/hdc
sudo hdparm -d1 /dev/hdc (to turn DMA on again)

NiksaVel (nikola-leder) wrote :

A little update on the problem... it isn't just enough to reset my /dev/hdc, I have to do it just before burning...

I have burnt a DVD yesterday, and did the reset right after the burning process finished.

Sure enough the first DVD I tried to burn today froze up the system again. reset got it back and the second attempt was successful.

nomad (iishere) wrote :

I have the same problem on my laptop Asus A7T
Ubuntu 7.10 x86
it is very annoing to press power button and there is a risk of file system crash :(

dan_linder (dan-linder) wrote :

On my setup I can normally hit the "eject" button on the DVD drive after it has locked up between the burn and verify state, and that normally returns the system to normal (of course it can't verify then).

I'm going to test these DMA settings tonight (/dev/hdb is my DVD):
1: hdparm -d 1 /dev/hdb
2: Adding these lines to /etc/hdparm.conf:
/dev/hdb {
       dma = on
       defect_mana = on
       lookahead = on
       cd_speed = 68
       write_cache = on
}

/dev/scd0 {
        dma = on
        defect_mana = on
        lookahead = on
        cd_speed = 68
        write_cache = on
}

Dan

dan_linder (dan-linder) wrote :

The setting changes (above) plus the latest kernel update (now running 2.6.22-14-generic) didn't fix this.

NiksaVel (nikola-leder) wrote :

I went around this issue by swapping my brand new hi-speed dvd burner for my friends older 16x model... works like a charm now :)

This bug also appears on my friend's PC, with TSSTcorp CDDVDW SH-S202H (Samsung) DVD recorder. The PC's got an Nforce chipset.
Ubuntu version: 7.10, with latest updates. (using KDE)
System nearly freezes while recording DVDs. I can move mouse but I can hardly do anything with it - everything is sluggish and I have to do a hard reset.
I'm attaching logs.

lspci -vvv

/var/log/kern.log

/var/log/syslog

Bug #15424 could be a duplicate.

LeDechaine (ledechaine) wrote :

Sorry, I have no dmesg output, and couldn't verify if hald was the problem. But the same thing happened to me yesterday. Had to do a "hard reset".
The problem seemed to be that I had not installed libdvdcss. That's not a reason for a total system freeze, but well, the DVD played fine after installing this.

I'm using Ubuntu 7.10 (Gutsy) on a P3 866.
My CD/DVD drive is a HL-DT-ST DVDRAM GSA-4160B

~$ uname -a
Linux A99-LeDechaine 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

robert shearer (bdaggg) wrote :

yes, same problem here.Total system freeze associated with dvd-rom drive.Also hald-addon storage noted in top as a large user of resources.Hard restart needed.

And having problems with cd burner where the drive has to be revisited after initial recognition. It is found ok at boot up but cannot report discs correctly and begins "hunting" when k3b attempts to verify data on a disc.Application then 'locks' and has to be killed.

Ubuntu 7.10 on a P3 1000. Msi cdrw52. Sony DVD-Rom DDU220E

Another P3 machine with the same os is fine.The difference being that this one was upgraded from Feisty and labels partitions and drives as sda and scd whilst the misbehaving one list drives as hda and disks as hdc, hdd. Is this significant ?

Changed in linux-source-2.6.22:
assignee: nobody → mapping-gp
status: New → Confirmed

Can anybody still experiencing this problem test the following possible solution?
http://linux-ata.org/faq.html#combined
The slow down as a result of the PATA/SATA combination may be causing at least some of the above mentioned problems.
This will probably only affect those with Intel chipsets.

There is a workaround which works in my case: reduce DVD recording speed. My friend records his dvds at 8x and has no problems now. Maybe it's just a hardware issue.

  • unnamed Edit (444 bytes, text/html; charset=ISO-8859-1)

My issue resolved itself after I updated my drives flash version. Check
with your manufacturers to see if there is a later version if you're
experiencing problems.

Dan

--
"Quis custodiet ipsos custodes?" (Who can watch the watchmen?) -- from the
Satires of Juvenal
"I do not fear computers, I fear the lack of them." -- Isaac Asimov (Author)
** *** ***** ******* *********** *************

Changed in linux-source-2.6.22:
assignee: mapping-gp → nobody
pepe (et21) wrote :

> Problem solved for Asus A6Rp laptop --FIRMWARE UPGRADE REQUIRED --

Asus A6 with warranty replaced DVD drive to 'CD/DVDW TS-L632D' with AS05 firmware.
Ubuntu 7.10, randomly freezed for a few seconds with no DVD activity, kern.log snippet follow.

--8<--
Apr 13 13:59:26 flame kernel: [ 1832.172000] ata1.01: qc timeout (cmd 0xa0)
Apr 13 13:59:26 flame kernel: [ 1832.172000] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
Apr 13 13:59:26 flame kernel: [ 1832.172000] ata1.01: cmd a0/00:00:00:00:20/00:00:00:00:00/b0 tag 0 cdb 0x0 data 0
Apr 13 13:59:26 flame kernel: [ 1832.172000] res 51/20:03:00:00:00/00:00:00:00:00/b0 Emask 0x5 (timeout)
Apr 13 13:59:31 flame kernel: [ 1837.212000] ata1: port is slow to respond, please be patient (Status 0xd1)
Apr 13 13:59:36 flame kernel: [ 1842.196000] ata1: device not ready (errno=-16), forcing hardreset
Apr 13 13:59:36 flame kernel: [ 1842.196000] ata1: soft resetting port
Apr 13 13:59:36 flame kernel: [ 1842.556000] ata1.00: configured for UDMA/100
Apr 13 13:59:36 flame kernel: [ 1842.744000] ata1.01: configured for UDMA/33
Apr 13 13:59:36 flame kernel: [ 1842.744000] ata1: EH complete
--8<--

After cross flashing to SC03 the problem disappeared.

BIG thanks Gareth!

audunmb (bergwitz) wrote :

Got an Asus A6KM and followed the instructions above to upgrade firmware. Upgraded first to SC04, and it solved the problem, but my drive couldn't mount DVDs only CDs. I downgraded to SC03 and now I can play DVDs in Windows, but I still can't mount them in Ubuntu. Any suggestions?

vwenberg (vwenberg) wrote :

I have a freezing problem with my TSSTcorp CDDVDW SH-S203N. The system is unusable after any media is inserted. I had to use another older drive to install Kubuntu 8.04. I have updated to the latest firmware as well.

I tried the steps mentioned in the above post on my current Ubuntu Hardy installation. However, the upgrade in firmware gave me a respite for only 2-3 weeks and my system started locking up again, just as it used to before. I could never get uptimes beyond 2 days due to this, and I always had to stay at the system, just in case I had to reboot it. (My system is a laptop). However, I noticed that whenever the system was about to lock up, the hal-daemon process used up a high amount of process in polling my CD Drive, /dev/sdb. So, I have disabled hal polling on the drive by using 'hal-disable-polling --device /dev/sdb'. Ever since then, I have not had any problems about a system lock up.

However, as the polling has been disabled, it has also disabled the auto-mount on my CD Drive, as hal-addon-storage is not working for /dev/sdb. A work around that I use is to enable hal polling temporarily when I use the drive, and disable it once I am done with the drive.

Can someone confirm if this is correct? If it is not, kindly tell me what should I do. I'd be glad to help in fixing this problem.

I forgot to add the following in my earlier post...

uname -a
Linux mustang 2.6.24-21-generic #1 SMP Tue Oct 21 23:43:45 UTC 2008 i686 GNU/Linux

Also attaching my lshw

The 18 month support period for Feisty Fawn 7.04 has reached it's end of life - http://www.ubuntu.com/news/ubuntu-7.04-end-of-life . As a result we are closing the linux-source-2.6.20 task.

Just curious if anyone has tested with the more recent Intrepid Ibex 8.10 release? For now I'll go ahead and open the "linux" kernel task but set it to Incomplete until we get feedback. Thanks.

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Changed in linux:
status: New → Incomplete

In Ubuntu 8.10 (and in 8.04 for that matter) the problem still appears, but instead of being complete system freeze, just a kernel message is shown, and the kernel continues. When it happens in startup I've noticed it's a bit slower starting ubuntu, but other than that, I haven't noticed anything else. I haven't tried burning any cds/dvds because I don't want to waste any cd. This is the kind of message I get:

[ 33.908059] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[ 33.908112] ata1.00: cmd ca/00:08:38:18:b8/00:00:00:00:00/e1 tag 0 dma 4096 out
[ 33.908113] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 33.908199] ata1.00: status: { DRDY }
[ 33.908275] ata1: soft resetting link
[ 34.088531] ata1.00: configured for UDMA/100
[ 34.088542] ata1: EH complete

For the record this problem is now known and documented at kernel.org. See here:
http://ata.wiki.kernel.org/index.php/Known_issues#TSSTCorp_TS-L632D

Stated solution is same as stated above by Gareth Fitzworthington:
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/75295/comments/97
but Gareth gives more detailed background and wider set of work-around possibilities.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

I just want to add here that I could solve this problem on my TSSTcorpCD/DVDW SN-S082D (in my transtec LEVIO 210M) by crossflashing it with the SC04 firmware as mentioned above and also at http://kde.blogsite.org/?q=node/11.

I used a FreeDos image on a CF card sitting in an USB reader to do the task. The solution at http://kde.blogsite.org/?q=node/11 uses firmware version SC03, I tried SC04 and it works too.

 The drive identifies itself now as TSSTcorp CD/DVDW TS-L632D.

Thanks

Albrecht

Changed in linux:
status: Confirmed → Invalid
Jim Lieb (lieb) wrote :

This is a bug reported against the ide subsystem that has been deprecated from the mainline kernels.

Changed in linux-source-2.6.22 (Ubuntu):
status: Confirmed → Won't Fix
Jim Lieb (lieb) wrote :

This is a bug reported against the deprecated ide disk subsystem. The libata drivers are now the current PATA/SATA subsystem making this report obsolete.

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
Changed in linux:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.